
    gsap.utils.toArray('.section').forEach((section, i) => {
        ScrollTrigger.create({
            trigger: section,
            start: "top center", // 当部分的顶部到达视口中心时触发
            end: "bottom center", // 当部分的底部离开视口中心时触发
            onEnter: () => setActive(i),
            onEnterBack: () => setActive(i),
            onLeave: () => clearActive(i),
            onLeaveBack: () => clearActive(i)
        });
    });

    function setActive(index) {
        document.querySelectorAll('.sidebar-item').forEach((item, i) => {
            item.classList.toggle('activate', i === index);
        });
    }

    function clearActive(index) {
        document.querySelectorAll('.sidebar-item')[index].classList.remove('activate');
    }
